Subject: [TR] TR6 Gearbox

From: Jeff Scarbrough <[email-masked]>
Date: Wed, 16 Jul 2014 21:27:11 -0400

Got my gearbox put back together tonight...as I was putting the seal
in the front housing, I noticed that the flange between the seal and
the housing had a crack in it.  I dont' know if it was there already
(I didn't see it when I cleaned it) or if I put it there while
knocking the seal into the housing...

See http://fishplate.org/vehicles/tr6/gearbox/gearbox_seal.jpg

I'm not sure what function that flange performs, but I can imagine the
destruction if it broke off.  Anyone got a good used front seal
housing for a late TR6 gearbox?

TIA,
Jeff Scarbrough
Corrosion Acres, Ga.

** [email-masked] **

Archive: http://www.team.net/archive